Get Messages
curl --request GET \
--url https://commerce.driv.ly/api/messagesimport requests
url = "https://commerce.driv.ly/api/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerce.driv.ly/api/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://commerce.driv.ly/api/messages"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://commerce.driv.ly/api/messages")
.asString();require 'uri'
require 'net/http'
url = URI("https://commerce.driv.ly/api/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "msg_kj3l9dks9j20",
"sentAt": "2023-05-14T12:00:00Z",
"content": "Is the vehicle still available?",
"senderId": "cus_9j2k3ls9dj20",
"receiverId": "com_9j3k2dls0j29"
}
],
"success": true,
"page": 2,
"nextPage": 3,
"prevPage": 1,
"totalPages": 3,
"totalCount": 25,
"limit": 10,
"pagingCounter": 11,
"hasPrevPage": true,
"hasNextPage": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Messages
Get Messages
GET
/
messages
Get Messages
curl --request GET \
--url https://commerce.driv.ly/api/messagesimport requests
url = "https://commerce.driv.ly/api/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerce.driv.ly/api/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://commerce.driv.ly/api/messages"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://commerce.driv.ly/api/messages")
.asString();require 'uri'
require 'net/http'
url = URI("https://commerce.driv.ly/api/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "msg_kj3l9dks9j20",
"sentAt": "2023-05-14T12:00:00Z",
"content": "Is the vehicle still available?",
"senderId": "cus_9j2k3ls9dj20",
"receiverId": "com_9j3k2dls0j29"
}
],
"success": true,
"page": 2,
"nextPage": 3,
"prevPage": 1,
"totalPages": 3,
"totalCount": 25,
"limit": 10,
"pagingCounter": 11,
"hasPrevPage": true,
"hasNextPage": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Query Parameters
Response
Messages Found